Bug 6461 - BiblioDefaultView has no impact on how record are displayed when going from results list
Summary: BiblioDefaultView has no impact on how record are displayed when going from r...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Janusz Kaczmarek
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 5917
  Show dependency treegraph
 
Reported: 2011-06-04 23:54 UTC by Janusz Kaczmarek
Modified: 2013-05-29 04:10 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (1.92 KB, patch)
2011-06-04 23:58 UTC, Janusz Kaczmarek
Details | Diff | Splinter Review
Signed off Patch (1.98 KB, patch)
2011-06-05 06:33 UTC, Chris Cormack
Details | Diff | Splinter Review
proposed patch (passed QA) (2.03 KB, patch)
2011-08-11 10:40 UTC, Paul Poulain
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Janusz Kaczmarek 2011-06-04 23:54:42 UTC
In OPAC, when having a list of results and clicking on the title, one gets always "Normal View", despite of BiblioDefaultView systempreference setting.

This is because in T::T transition BiblioDefaultView has been erroneously prefixed in opac-results.tt with SEARCH_RESULT.

A patch will follow.
Comment 1 Janusz Kaczmarek 2011-06-04 23:58:08 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2011-06-05 06:33:51 UTC Comment hidden (obsolete)
Comment 3 Paul Poulain 2011-08-11 10:40:07 UTC
Created attachment 4963 [details] [review]
proposed patch (passed QA)

QA comment

No specific comment: this is a standard fix for a bug that is happening in many places after the move to T::T

Passed QA
Comment 4 Chris Cormack 2011-08-12 02:11:21 UTC
Pushed, please test
Comment 5 Jared Camins-Esakov 2012-03-17 18:11:55 UTC
Note that BiblioDefaultView only impacts "normal" mode.